Intermittent mochitest-JP "0 ERROR TEST-UNEXPECTED-TIMEOUT | automation.py | application timed out after 330 seconds with no output" after "Component returned failure code: 0x80070057 (NS_ERROR_ILLEGAL_VALUE) [nsIXPCComponents_Utils.nukeSandbox]"

RESOLVED INCOMPLETE

Status

Add-on SDK
General
P1
normal
RESOLVED INCOMPLETE
3 years ago
8 months ago

People

(Reporter: RyanVM, Unassigned)

Tracking

({intermittent-failure})

unspecified
x86
Windows XP
intermittent-failure
Dependency tree / graph

Firefox Tracking Flags

(firefox45 wontfix, firefox46 wontfix, firefox47 wontfix, firefox48 wontfix, firefox49 affected, firefox-esr45 wontfix, firefox50 affected)

Details

MozReview Requests

Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:

Attachments

(4 attachments)

(Reporter)

Description

3 years ago
12:55:16 INFO - JavaScript error: resource://gre/modules/addons/XPIProvider.jsm -> jar:file:///c:/users/cltbld/appdata/local/temp/tmpufvkip.mozrunner/extensions/test-page-mod-debugger@jetpack.xpi!/bootstrap.js, line 303: NS_ERROR_ILLEGAL_VALUE: Component returned failure code: 0x80070057 (NS_ERROR_ILLEGAL_VALUE) [nsIXPCComponents_Utils.nukeSandbox]
12:55:20 INFO - 1426190120163 Browser.Experiments.Experiments TRACE Experiments #0::enabled=true, true
12:55:20 INFO - 1426190120164 Browser.Experiments.Experiments TRACE Experiments #0::Registering instance with Addon Manager.
12:55:20 INFO - 1426190120165 Browser.Experiments.Experiments TRACE Experiments #0::Registering previous experiment add-on provider.
12:55:20 INFO - 1426190120165 Browser.Experiments.Experiments TRACE PreviousExperimentProvider #0::startup()
12:55:20 INFO - 1426190120166 Browser.Experiments.Experiments TRACE Experiments #0::_loadFromCache
12:55:20 INFO - 1426190120171 Browser.Experiments.Experiments TRACE Experiments #0::_loadTask finished ok
12:55:20 INFO - 1426190120171 Browser.Experiments.Experiments TRACE Experiments #0::_run
12:55:20 INFO - 1426190120172 Browser.Experiments.Experiments TRACE Experiments #0::_main iteration
12:55:20 INFO - 1426190120172 Browser.Experiments.Experiments TRACE Experiments #0::_evaluateExperiments
12:55:20 INFO - 1426190120174 Browser.Experiments.Experiments TRACE Experiments #0::_main finished, scheduling next run
13:00:50 INFO - 0 ERROR TEST-UNEXPECTED-TIMEOUT | automation.py | application timed out after 330 seconds with no output
13:00:50 INFO - TEST-INFO | screenshot: exit status 0
13:00:50 INFO - TEST-INFO | crashinject: exit status 0
13:00:51 INFO - TEST-INFO | Main app process: exit status 1
13:00:51 INFO - 1 ERROR TEST-UNEXPECTED-FAIL | automation.py | application terminated with exit code 1
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
(Reporter)

Comment 6

3 years ago
Dave, this is a manual star on Treeherder thanks to the generic nature of the failure. Any chance this can be prioritized for investigation?
Flags: needinfo?(dtownsend)
(Reporter)

Updated

3 years ago
Summary: Intermittent mochitest-JP automation.py | application timed out after 330 seconds with no output → Intermittent mochitest-JP "0 ERROR TEST-UNEXPECTED-TIMEOUT | automation.py | application timed out after 330 seconds with no output"
Comment hidden (Treeherder Robot)
Created attachment 8577293 [details] [diff] [review]
logging patch

Looks like something is failing when the harness attempts to uninstall one test add-on and install the next. This adds some extra logging and catches any errors and logs them so we might have better information to go on.

If anything goes wrong installing/uninstalling an add-on I've assumed we'll be in an inconsistent state and just ended the test run there.
Flags: needinfo?(dtownsend)
Attachment #8577293 - Flags: review?(evold)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Attachment #8577293 - Flags: review?(evold) → review+
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
https://hg.mozilla.org/mozilla-central/rev/6c269cbf361c
Status: NEW → RESOLVED
Last Resolved: 3 years ago
status-firefox39: --- → fixed
Resolution: --- → FIXED
Target Milestone: --- → mozilla39
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
(Reporter)

Updated

3 years ago
Status: RESOLVED → REOPENED
status-firefox37: --- → unaffected
status-firefox38: --- → unaffected
status-firefox39: fixed → affected
status-firefox-esr31: --- → unaffected
Resolution: FIXED → ---
Target Milestone: mozilla39 → ---
Priority: -- → P1
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
(Reporter)

Comment 173

3 years ago
This was exacerbated by the recent Addon SDK update in bug 1171638, which I've since backed out.
status-firefox40: --- → affected
status-firefox41: --- → affected
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
This makes me think the issue is in automation.py, since the error is about no output in 330 when there was clearly output:

05:37:11 INFO - TEST-PASS | simple-prefs-l10n/main.testAOMLocalization | This test is done.
05:37:11 INFO - TEST-PASS | simple-prefs-l10n/main.testAOMLocalization | There was a clean UI.
05:37:11 INFO - TEST-END | simple-prefs-l10n/main.testAOMLocalization
05:37:11 INFO - 3 of 3 tests passed.
05:37:11 INFO - TEST-INFO | jetpack-addon-harness.js | Uninstalling test add-on addon-sdk/source/test/addons/simple-prefs-l10n
05:37:11 INFO - 1433507831710 Browser.Experiments.Experiments TRACE Experiments #0::onUninstalled() - addon id: test-simple-prefs-l10n@jetpack
05:42:41 WARNING - TEST-UNEXPECTED-TIMEOUT | automation.py | application timed out after 330 seconds with no output
05:42:41 INFO - TEST-INFO | screenshot: exit status 0
05:42:41 INFO - TEST-INFO | crashinject: exit status 0
05:42:43 INFO - TEST-INFO | Main app process: exit status 1
05:42:43 WARNING - TEST-UNEXPECTED-FAIL | automation.py | application terminated with exit code 1
I could use some help with this one, I've never looked at this automation.py file before.
Comment hidden (Treeherder Robot)
(In reply to Erik Vold [:erikvold] (please needinfo? me) from comment #188)
> I could use some help with this one, I've never looked at this automation.py
> file before.

It looks like this error is coming from https://github.com/mozilla/gecko-dev/blob/6e929ef81c0807a969f9064449736f6b92966e12/testing/mochitest/runtests.py#L2331
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Assignee: nobody → evold
Attachment #8616173 - Flags: review?(dtownsend)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Attachment #8616173 - Flags: review?(dtownsend) → review+
Comment hidden (Treeherder Robot)
https://hg.mozilla.org/mozilla-central/rev/c0177adc8763
Status: REOPENED → RESOLVED
Last Resolved: 3 years ago3 years ago
status-firefox41: affected → fixed
Resolution: --- → FIXED
Target Milestone: --- → mozilla41
Comment hidden (Treeherder Robot)
(Reporter)

Updated

3 years ago
status-firefox38.0.5: --- → unaffected
status-firefox-esr38: --- → unaffected
(Reporter)

Comment 206

3 years ago
https://hg.mozilla.org/releases/mozilla-beta/rev/b2455e4eca11
status-firefox39: affected → fixed
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)

Comment 220

3 years ago
6 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 3
* mozilla-aurora: 1
* fx-team: 1
* b2g-inbound: 1

Platform breakdown:
* windows7-32: 5
* windowsxp: 1

For more details, see:
http://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1142734&startday=2015-09-28&endday=2015-10-04&tree=all

Comment 221

3 years ago
16 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-central: 6
* mozilla-inbound: 5
* b2g-inbound: 3
* fx-team: 2

Platform breakdown:
* windows7-32: 14
* windowsxp: 1
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1142734&startday=2015-10-05&endday=2015-10-11&tree=all

Comment 222

3 years ago
21 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 7
* fx-team: 6
* b2g-inbound: 5
* mozilla-central: 3

Platform breakdown:
* windows7-32: 21

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1142734&startday=2015-10-12&endday=2015-10-18&tree=all

Comment 223

3 years ago
24 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 8
* mozilla-central: 7
* fx-team: 4
* b2g-inbound: 4
* mozilla-beta: 1

Platform breakdown:
* windows7-32: 24

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1142734&startday=2015-10-19&endday=2015-10-25&tree=all

Comment 224

3 years ago
27 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 10
* b2g-inbound: 8
* mozilla-central: 4
* fx-team: 3
* mozilla-aurora: 2

Platform breakdown:
* windows7-32: 25
* windows8-64: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1142734&startday=2015-10-26&endday=2015-11-01&tree=all

Comment 225

3 years ago
10 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-aurora: 3
* mozilla-inbound: 2
* fx-team: 2
* b2g-inbound: 2
* mozilla-central: 1

Platform breakdown:
* windows7-32: 10

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1142734&startday=2015-11-09&endday=2015-11-15&tree=all

Comment 226

3 years ago
18 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 8
* fx-team: 4
* mozilla-aurora: 3
* mozilla-central: 2
* b2g-inbound: 1

Platform breakdown:
* windows7-32: 18

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1142734&startday=2015-11-16&endday=2015-11-22&tree=all

Comment 227

2 years ago
11 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 6
* fx-team: 3
* b2g-inbound: 2

Platform breakdown:
* windows7-32: 11

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1142734&startday=2015-11-23&endday=2015-11-29&tree=all

Comment 228

2 years ago
10 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-aurora: 4
* mozilla-inbound: 2
* fx-team: 2
* mozilla-central: 1
* b2g-inbound: 1

Platform breakdown:
* windows7-32: 7
* windows8-64: 2
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1142734&startday=2015-11-30&endday=2015-12-06&tree=all

Comment 229

2 years ago
7 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-aurora: 4
* mozilla-inbound: 2
* mozilla-central: 1

Platform breakdown:
* windows7-32: 6
* windows8-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1142734&startday=2015-12-07&endday=2015-12-13&tree=all

Comment 230

2 years ago
10 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-beta: 5
* try: 2
* b2g-inbound: 2
* mozilla-central: 1

Platform breakdown:
* windows7-32: 10

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1142734&startday=2015-12-14&endday=2015-12-20&tree=all

Comment 231

2 years ago
5 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-beta: 3
* mozilla-inbound: 1
* fx-team: 1

Platform breakdown:
* windows7-32: 4
* osx-10-6: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1142734&startday=2015-12-21&endday=2015-12-27&tree=all

Comment 232

2 years ago
8 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-beta: 5
* mozilla-inbound: 2
* mozilla-aurora: 1

Platform breakdown:
* windows7-32: 6
* windows8-64: 1
* osx-10-6: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1142734&startday=2015-12-28&endday=2016-01-03&tree=all

Comment 233

2 years ago
17 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-beta: 9
* mozilla-central: 4
* mozilla-inbound: 3
* fx-team: 1

Platform breakdown:
* windows7-32: 15
* windows8-64: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1142734&startday=2016-01-04&endday=2016-01-10&tree=all

Comment 234

2 years ago
10 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 3
* mozilla-beta: 3
* mozilla-aurora: 3
* fx-team: 1

Platform breakdown:
* windows7-32: 8
* windows8-64: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1142734&startday=2016-01-11&endday=2016-01-17&tree=all

Comment 235

2 years ago
12 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-beta: 4
* mozilla-aurora: 3
* mozilla-release: 2
* mozilla-inbound: 1
* mozilla-central: 1
* b2g-inbound: 1

Platform breakdown:
* windows7-32: 10
* windowsxp: 1
* windows8-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1142734&startday=2016-01-18&endday=2016-01-24&tree=all

Comment 236

2 years ago
6 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* fx-team: 2
* try: 1
* mozilla-release: 1
* mozilla-inbound: 1
* mozilla-central: 1

Platform breakdown:
* windows7-32: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1142734&startday=2016-01-25&endday=2016-01-31&tree=all
Given the number of OrangeFactor Robot comments in here, this should probably be re-opened.
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
With my patch from bug 1231784 applied, this is:
osx 10.10 opt: 100% reproducible
osx 10.10 debug: not reproducible
osx 10.6 opt: intermittent
osx 10.6 debug: not reproducible
linux opt/debug: not reproducible

Given the hit or miss nature of where this is reproducible, this is likely a race condition. I believe the "fix" from last time simply changed the timing enough to hide the race condition for a bit. This also has nothing to do with automation.py, I believe the relevant line from the log is here:
 15:24:46 INFO - JavaScript error: resource://gre/modules/addons/XPIProvider.jsm -> jar:file:///var/folders/2_/5bvqc7_51034r2hmy_t0wjpm00000w/T/tmpUew2qN.mozrunner/extensions/test-addon-author-email@jetpack.xpi!/bootstrap.js, line 299: NS_ERROR_ILLEGAL_VALUE: Component returned failure code: 0x80070057 (NS_ERROR_ILLEGAL_VALUE) [nsIXPCComponents_Utils.nukeSandbox]

(Please note that this bug is being used as a sort of catch all by OrangeFactor Robot.. but I'm actually hitting the error from comment 0 here).
Blocks: 1231784
Summary: Intermittent mochitest-JP "0 ERROR TEST-UNEXPECTED-TIMEOUT | automation.py | application timed out after 330 seconds with no output" → Intermittent mochitest-JP "0 ERROR TEST-UNEXPECTED-TIMEOUT | automation.py | application timed out after 330 seconds with no output" after "Component returned failure code: 0x80070057 (NS_ERROR_ILLEGAL_VALUE) [nsIXPCComponents_Utils.nukeSandbox]"
Oh hm.. that nukeSandbox error shows up in passing logs too. I'm not sure anymore. All I know for certain is that this is the last output we get:
https://treeherder.mozilla.org/logviewer.html#?job_id=16343364&repo=try#L1547
I'm no JS expert, but I believe this error handler is attached to the wrong Promise:
https://dxr.mozilla.org/mozilla-central/source/testing/mochitest/jetpack-addon-harness.js#227

Try run coming shortly which should hopefully give a clue to what's happening.

Comment 241

2 years ago
17 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 8
* mozilla-beta: 3
* mozilla-aurora: 2
* fx-team: 2
* mozilla-release: 1
* mozilla-central: 1

Platform breakdown:
* windows7-32: 9
* windowsxp: 4
* osx-10-10: 4

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1142734&startday=2016-02-01&endday=2016-02-07&tree=all
That didn't make a difference. I'm flailing about here :/

Dave, is there anyone who could help me dig into this a bit? It looks like Erik isn't around anymore. Thanks!
Flags: needinfo?(dtownsend)
The catch block never gets hit in this patch:
https://hg.mozilla.org/try/rev/2ab8fcaa6a3b

So I think that the nukeSandbox JavaScript error is fatal with my patch, but non-fatal without my patch. I don't understand why.
Created attachment 8717069 [details]
MozReview Request: Bug 1142734: Allow unloading the loader sandbox module. r?jsantell

const declarations are no longer accessible from outside the script that makes
them so in order for bootstrap.js to be able to access the loaderSandbox
declaration we must use var.

Review commit: https://reviewboard.mozilla.org/r/34031/diff/#index_header
See other reviews: https://reviewboard.mozilla.org/r/34031/
Attachment #8717069 - Flags: review?(jsantell)
Created attachment 8717070 [details]
MozReview Request: Bug 1142734: Stop using Timer.jsm to avoid replacing the browser window setTimout and clearTimeout functions. r?jsantell

jetpack-addon-harness.js runs in a browser window scope so it already has the
setTimeout functions available to it. Loading Timer.jsm overrides the DOM
timer functions with those from Timer.jsm. Any other code that used setTimeout
previously will have timer IDs from the DOM functions which don't match those
in Timer.jsm. If this other code attempts to clear a timer it can then end up
clearing an unrelated timer. In the intermittent failure here the
browser-thumbnails code manages to clear the timer that is waiting to resolve
the promise that makes tests continue.

I've also added an additional timer that throws an exception and so ends tests
if the add-on uninstall doesn't actually complete in a reasonable time as well
as removing the add-on listener.

Review commit: https://reviewboard.mozilla.org/r/34033/diff/#index_header
See other reviews: https://reviewboard.mozilla.org/r/34033/
Attachment #8717070 - Flags: review?(jsantell)
Attachment #8717069 - Flags: review?(jsantell) → review+
Comment on attachment 8717069 [details]
MozReview Request: Bug 1142734: Allow unloading the loader sandbox module. r?jsantell

https://reviewboard.mozilla.org/r/34031/#review30733
Comment on attachment 8717070 [details]
MozReview Request: Bug 1142734: Stop using Timer.jsm to avoid replacing the browser window setTimout and clearTimeout functions. r?jsantell

https://reviewboard.mozilla.org/r/34033/#review30735

::: testing/mochitest/jetpack-addon-harness.js:115
(Diff revision 1)
> +    }, 10000);

Maybe make this a constant at the top of the file?
Attachment #8717070 - Flags: review?(jsantell) → review+
Assignee: evold → dtownsend
Flags: needinfo?(dtownsend)

Comment 249

2 years ago
bugherder
https://hg.mozilla.org/mozilla-central/rev/9c63922674ac
https://hg.mozilla.org/mozilla-central/rev/5afb767f3591
Status: REOPENED → RESOLVED
Last Resolved: 3 years ago2 years ago
status-firefox47: --- → fixed
Resolution: --- → FIXED

Comment 250

2 years ago
6 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 2
* mozilla-central: 1
* mozilla-beta: 1
* mozilla-aurora: 1
* fx-team: 1

Platform breakdown:
* windows7-32: 5
* osx-10-6: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1142734&startday=2016-02-08&endday=2016-02-14&tree=all

Comment 252

2 years ago
7 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 3
* mozilla-beta: 2
* fx-team: 2

Platform breakdown:
* osx-10-6: 4
* windows7-32: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1142734&startday=2016-02-22&endday=2016-02-28&tree=all
(Reporter)

Comment 253

2 years ago
OrangeFactor says this is still happening on both trunk and Aurora.
Assignee: dtownsend → nobody
Status: RESOLVED → REOPENED
status-firefox37: unaffected → ---
status-firefox38: unaffected → ---
status-firefox38.0.5: unaffected → ---
status-firefox39: fixed → ---
status-firefox40: fixed → ---
status-firefox41: fixed → ---
status-firefox45: --- → wontfix
status-firefox46: fixed → affected
status-firefox47: fixed → affected
status-firefox-esr31: unaffected → ---
status-firefox-esr38: unaffected → ---
status-firefox-esr45: --- → affected
Resolution: FIXED → ---
Target Milestone: mozilla41 → ---

Comment 254

2 years ago
16 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 6
* fx-team: 4
* mozilla-central: 2
* try: 1
* mozilla-beta: 1
* mozilla-aurora: 1
* date: 1

Platform breakdown:
* osx-10-6: 6
* windows7-32: 5
* linux64: 3
* windows8-64: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1142734&startday=2016-02-29&endday=2016-03-06&tree=all
(In reply to Ryan VanderMeulen [:RyanVM] from comment #253)
> OrangeFactor says this is still happening on both trunk and Aurora.
This seems to be a new issue. It's M(oth) and not M(JP) and the logs don't mention |nukeSandbox|. Is that a cookie test? See https://treeherder.mozilla.org/logviewer.html#?job_id=23461353&repo=mozilla-inbound#L33562

Comment 256

2 years ago
18 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 13
* mozilla-central: 3
* fx-team: 2

Platform breakdown:
* osx-10-6: 10
* windows8-64: 3
* linux64: 3
* windows7-32: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1142734&startday=2016-03-07&endday=2016-03-13&tree=all

Comment 257

2 years ago
31 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 20
* mozilla-aurora: 6
* mozilla-central: 2
* fx-team: 2
* mozilla-esr45: 1

Platform breakdown:
* osx-10-6: 15
* windows7-32: 8
* linux64: 8

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1142734&startday=2016-03-14&endday=2016-03-20&tree=all

Comment 258

2 years ago
20 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 14
* fx-team: 4
* mozilla-aurora: 2

Platform breakdown:
* windows7-32: 9
* osx-10-6: 7
* linux64: 4

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1142734&startday=2016-03-21&endday=2016-03-27&tree=all

Comment 259

2 years ago
14 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* fx-team: 5
* mozilla-inbound: 3
* mozilla-aurora: 3
* mozilla-central: 2
* mozilla-beta: 1

Platform breakdown:
* windows7-32: 8
* osx-10-6: 3
* linux64: 2
* windows8-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1142734&startday=2016-03-28&endday=2016-04-03&tree=all

Comment 260

2 years ago
15 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 9
* fx-team: 3
* mozilla-central: 1
* mozilla-beta: 1
* mozilla-aurora: 1

Platform breakdown:
* windows7-32: 14
* windows8-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1142734&startday=2016-04-04&endday=2016-04-10&tree=all

Comment 261

2 years ago
8 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 2
* mozilla-aurora: 2
* try: 1
* mozilla-central: 1
* mozilla-beta: 1
* fx-team: 1

Platform breakdown:
* windows7-32: 6
* osx-10-6: 1
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1142734&startday=2016-04-11&endday=2016-04-17&tree=all

Comment 262

2 years ago
9 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* fx-team: 4
* try: 2
* mozilla-inbound: 1
* mozilla-central: 1
* mozilla-aurora: 1

Platform breakdown:
* windows7-32: 9

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1142734&startday=2016-04-18&endday=2016-04-24&tree=all

Comment 263

2 years ago
10 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-aurora: 3
* mozilla-inbound: 2
* mozilla-central: 2
* fx-team: 2
* try: 1

Platform breakdown:
* windows7-32: 9
* osx-10-6: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1142734&startday=2016-04-25&endday=2016-05-01&tree=all

Comment 264

2 years ago
6 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-beta: 2
* try: 1
* mozilla-inbound: 1
* mozilla-esr45: 1
* mozilla-central: 1

Platform breakdown:
* windows7-32: 5
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1142734&startday=2016-05-10&endday=2016-05-16&tree=all

Comment 265

2 years ago
6 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* try: 3
* mozilla-inbound: 1
* mozilla-beta: 1
* mozilla-aurora: 1

Platform breakdown:
* windows7-32: 3
* linux64: 2
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1142734&startday=2016-05-16&endday=2016-05-22&tree=all

Comment 266

2 years ago
8 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 2
* mozilla-beta: 2
* mozilla-aurora: 2
* fx-team: 2

Platform breakdown:
* windows7-32: 4
* linux64: 3
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1142734&startday=2016-05-23&endday=2016-05-29&tree=all

Comment 267

2 years ago
8 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 6
* fx-team: 2

Platform breakdown:
* osx-10-10: 4
* linux64: 4

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1142734&startday=2016-05-30&endday=2016-06-05&tree=all

Comment 268

2 years ago
9 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 3
* mozilla-beta: 2
* mozilla-aurora: 2
* try: 1
* fx-team: 1

Platform breakdown:
* linux64: 4
* windows7-32: 3
* osx-10-10: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1142734&startday=2016-06-06&endday=2016-06-12&tree=all

Comment 269

2 years ago
13 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-aurora: 6
* mozilla-inbound: 5
* try: 1
* fx-team: 1

Platform breakdown:
* linux64: 7
* osx-10-10: 5
* windows8-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1142734&startday=2016-06-20&endday=2016-06-26&tree=all

Comment 270

2 years ago
9 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 4
* fx-team: 2
* autoland: 2
* mozilla-aurora: 1

Platform breakdown:
* linux64: 7
* windows7-32-vm: 1
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1142734&startday=2016-06-27&endday=2016-07-03&tree=all

Comment 271

2 years ago
7 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 3
* autoland: 2
* mozilla-central: 1
* fx-team: 1

Platform breakdown:
* linux64: 6
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1142734&startday=2016-07-04&endday=2016-07-10&tree=all

Comment 272

2 years ago
6 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 2
* autoland: 2
* mozilla-esr45: 1
* fx-team: 1

Platform breakdown:
* linux64: 4
* windows7-32: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1142734&startday=2016-07-11&endday=2016-07-17&tree=all
(Reporter)

Updated

2 years ago
status-firefox46: affected → wontfix
status-firefox47: affected → wontfix
status-firefox48: --- → wontfix
status-firefox49: --- → affected
status-firefox50: --- → affected
status-firefox-esr45: affected → wontfix

Comment 273

2 years ago
6 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* try: 2
* mozilla-inbound: 2
* mozilla-aurora: 1
* autoland: 1

Platform breakdown:
* linux64: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1142734&startday=2016-08-01&endday=2016-08-07&tree=all

Comment 274

2 years ago
9 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* try: 6
* fx-team: 2
* mozilla-central: 1

Platform breakdown:
* linux64: 6
* linux32: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1142734&startday=2016-08-08&endday=2016-08-14&tree=all

Comment 275

9 months ago
1 failures in 888 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 1

Platform breakdown:
* windows10-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1142734&startday=2017-07-31&endday=2017-08-06&tree=all

Comment 276

8 months ago
1 failures in 908 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-central: 1

Platform breakdown:
* windows10-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1142734&startday=2017-08-21&endday=2017-08-27&tree=all
https://bugzilla.mozilla.org/show_bug.cgi?id=1399562
Status: REOPENED → RESOLVED
Last Resolved: 2 years ago8 months ago
Resolution: --- → INCOMPLETE
You need to log in before you can comment on or make changes to this bug.